cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 7

Installing SAM on existing NPM

Hi Team,

We have a plan to install SAM on existing NPM deployment.NPM version is 12.4 and the SAM version which we are going to install 6.9 as this is the latest version.Kindly clarify below doubts regarding this....

1.During installation of SAM 6.9 on NPM server, it it mandatory to upgrade existing NPM?

2.If we want to install SAM 6.9 without upgrading NPM, will it create any compatibility issue?

3.Why there are two types of versioning for Solarwinds products...One is 2019.4,2019.2 and others are SAM 6.8,6.9 and NPM 12.5,12.4?

Thanks in advance!!!

0 Kudos
3 Replies

Hello.

1.During installation of SAM 6.9 on NPM server, it it mandatory to upgrade existing NPM? -> Yes

2.If we want to install SAM 6.9 without upgrading NPM, will it create any compatibility issue? -> See #1 as in order to install NPM the Orion platform will make sure all other modules are on the latest version and upgrade if necessary in order to guarantee compatibility.

3.Why there are two types of versioning for Solarwinds products...One is 2019.4,2019.2 and others are SAM 6.8,6.9 and NPM 12.5,12.4? -> With the latest release the naming convention changed for all of the Orion modules to make it more easy to know the date of the release, hence 2019.4 (year.quarter). Example for SAM version numbering: SAM 2019.4 Release Notes

Best regards,

Steffen

Thanks Steffen for your response.

I understood that versioning 6.9,6.8 for SAM and 12.5,12.4 for NPM has been

scrapped and new versioning like 2019.4 has been introduced.Hence if I

install SAM 2019.4 on existing NPM 12.4 server, then NPM needs to be

upgraded to 2019.4 to make it compatible with SAM.Is my understanding

correct?

Thanks

Suman

On Mon, Dec 30, 2019, 6:53 PM steffen.gutzeit

0 Kudos

koleydeb  wrote:

Thanks Steffen for your response.

I understood that versioning 6.9,6.8 for SAM and 12.5,12.4 for NPM has been

scrapped and new versioning like 2019.4 has been introduced.Hence if I

install SAM 2019.4 on existing NPM 12.4 server, then NPM needs to be

upgraded to 2019.4 to make it compatible with SAM.Is my understanding

correct?

Thanks

Suman

On Mon, Dec 30, 2019, 6:53 PM steffen.gutzeit

Your understanding is correct. Installing SAM 2019.4 will auto upgrade NPM to 2019.4. The SolarWinds installer will not let you proceed without upgrading to the compatible platform.

0 Kudos